#!/bin/bash
#
# Copyright (c) 2013 OpenElectrons.com
# Pi-Pan isntallation script.
# for more information about Pi-Pan,  please visit:
# http://www.openelectrons.com/Pi-Pan
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License version 2 as
# published by the Free Software Foundation.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
#

if [ -e /boot/config.txt ]
then
    echo "Updating config files..."
    sudo rm -f /boot/config.txt
    sudo cp config.txt /boot/config.txt
else
    echo "Copying config files..."
    sudo cp config.txt /boot/config.txt
fi

apt-get install python-smbus

sed -i 's/blacklist i2c-bcm2708/#blacklist i2c-bcm2708/g' /etc/modprobe.d/raspi-blacklist.conf
echo 'i2c-bcm2708' >> /etc/modules
echo 'i2c-dev' >> /etc/modules

if [ -e /usr/bin/pip ]
then
    echo "pip already installed"
else 
    echo "Installing Software, may take serveral minutes..."
    yes |sudo apt-get -qq install python-pip
fi

if [ -e /usr/local/lib/python2.7/dist-packages/pipan.py ]
then
    echo "Updating PiPan and Pilight libraries..."
    sudo pip install -qq PiPan
else
    echo "Installing device libraries..."
    sudo pip install -qq PiPan
fi

echo "-----------------------------"
echo "Pi-Light Install completed     "
echo "-----------------------------"
